getscu and movescu should warn when overwriting an existing file
2015-11-12 14:02 - Marco Eichelberg

Status: Closed Start date: 2015-11-12
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Application Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmnet Compiler:

Operating System:

Description
Currently, storescp issues a warning whenever an incoming DICOM file overwrites an existing file with the same name:

DICOM file already exists, overwriting: <filename>

getscu and movescu do not warn, but silently overwrite the file. This should be harmonized, i.e. getscu and movescu should report
the same warning.

History

#1 - 2015-11-12 14:03 - Marco Eichelberg

- Module changed from demdata to decmnet

#2 - 2015-11-12 14:09 - Marco Eichelberg
- Subject changed from getscu should warn when overwriting an existing file to getscu and movescu should warn when overwriting an existing file

- Description updated

#3 - 2015-11-17 13:27 - Michael Onken

- Status changed from New to Closed

#4 - 2015-11-17 13:27 - Michael Onken
- % Done changed from 0 to 100
